﻿using System;
using System.IO.Ports;
using System.Windows.Forms;

namespace SerialSample9
{
    public partial class Form1 : Form
    {
        SerialPort ComPort = new SerialPort("COM1");

        public Form1()
        {
            InitializeComponent();
            if (ComPort.IsOpen) ComPort.Close();
            ComPort.BaudRate = 9600;
            ComPort.Parity = Parity.None;
            ComPort.StopBits = StopBits.One;
            ComPort.DataBits = 8;
            ComPort.Handshake = Handshake.None;
            ComPort.Open();
        }

        private void trackBar1_Scroll(object sender, EventArgs e)
        {
            ComPort.Write(new byte[] { (byte)trackBar1.Value }, 0, 1);
        }
    }
}
